Contents

# Add-in Functions

The following describes and lists some of the available add-in functions.

Princíp doplnkov

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Poskytnuté doplnky

LibreOffice obsahuje ukážky využitia rozhrania pre doplnky v LibreOffice Calc.

Analytické funkcie-časť 1

Analytické funkcie - časť dva

## DAYSINMONTH

Vypočíta počet dní v mesiaci pre daný dátum.

#### Syntax

DAYSINMONTH(Dátum)

Dátum je ľubovoľný dátum v príslušnom mesiaci požadovaného roku. Parameter Dátum musí byť platný dátum podľa miestneho nastavenia LibreOffice.

#### Example

=DAYSINMONTH(A1) vráti 29 dní ak A1 obsahuje 1968-02-17, platný dátum pre Február 1968.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINMONTH

DAYSINMONTH wiki page.

## DAYSINYEAR

Spočíta počet dní v roku zadaného dátumu

#### Syntax

DAYSINYEAR(Dátum)

Dátum je ktorýkoľvek dátum príslušného roku. Parameter dátum musí byť platný podľa miestneho nastavenia LibreOffice.

#### Example

=DAYSINYEAR(A1) vráti 366 dní ak A1 obsahuje 1968-02-29, platný dátum pre rok 1968.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINYEAR

DAYSINYEAR wiki page.

## ISLEAPYEAR

Určuje, či je rok prestupný. Ak áno, funkcia vráti 1 (TRUE); ak nie, vráti 0 (FALSE).

#### Syntax

ISLEAPYEAR("Dátum")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

Microsoft Excel wrongly assumes year 1900 to be a leap year and considers the inexistent day of 1900-02-29 as valid in date calculations. Dates prior to 1900-03-01 are therefore different in Excel and Calc.

#### Example

=ISLEAPYEAR(A1) vráti 1, ak A1 obsahuje 1968-02-29, platný dátum 29. Februára 1968 vo vašom lokálnom nastavení.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

Nikdy nepoužívajte =ISLEAPYEAR(2/29/68), pretože takto sa najskôr vyhodnotí 2 deleno 29 deleno 68, a potom sa vyhodnotí funkcia ISLEAPYEAR z malého čísla ako zo serializovaného data.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ISLEAPYEAR

ISLEAPYEAR wiki page.

## MONTHS

Spočíta rozdiel medzi dvoma dátumami v mesiacoch

#### Syntax

MONTHS(PočiatočnýDátum; KoncovýDátum; Typ)

PočiatočnýDátum je prvý dátum

KoncovýDátum je druhý dátum

Typ určuje typ rozdielu. Možné hodnoty sú 0 (interval) a 1 (v kalendárnych mesiacoch).

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.MONTHS

MONTHS wiki page.

## ROT13

Zašifruje reťazec posunutím o 13 miest v abecede. Po písmene Z sa pokračuje na začiatku abecedy (Rotation). Keď na výsledok znova použijete rovnakú funkciu, získate pôvodný text.

#### Syntax

ROT13(Text)

Text je znakový reťazec ktorý má byť zakódovaný. ROT13(ROT13(Text)) dekóduje kód.

#### Example

=ROT13("Gur Qbphzrag Sbhaqngvba jnf sbhaqrq va Frcgrzore 2010.") returns the string "The Document Foundation was founded in September 2010.". Notice how spaces, digits, and full stops are unaffected by ROT13.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ROT13

Refer to the ROT13 wiki page for more details about this function.

## WEEKS

Spočíta rozdiel v týždňoch medzi dvoma dátumami.

#### Syntax

WEEKS(PočiatočnýDátum; KoncovýDátum; Typ)

StartDate is the start date in the interval.

EndDate is the end date in the interval. The end date must be greater than the start date, or else an error is returned.

Type specifies the type of difference to be calculated. Possible values are 0 (time interval) or 1 (calendar weeks).

If Type = 0 the function will assume that 7 days is equivalent to one week without considering any specific day to mark the beginning of a week.

If Type = 1 the function will consider Monday to be the first day of the week. Therefore, except for the start date, each occurrence of a Monday in the interval is counted as an additional week.

This function considers Monday to be the first day of the week regardless of the current locale settings.

#### Example

In the following examples, dates are passed as strings. However, they can also be stored in separate cells and be passed as references.

=WEEKS("2022-01-12","2022-01-17",0) returns 0 because Type was set to 0 and there are only 5 days in the interval.

=WEEKS("2022-01-12","2022-01-19",0) returns 1 because Type was set to 0 and there are 7 days in the interval.

=WEEKS("2022-01-12","2022-01-17",1) returns 1 because Type was set to 1 and the interval contains a Monday, since 2022-01-12 is a Wednesday and 2022-01-17 is a Monday.

=WEEKS("2022-01-12","2022-01-15",1) returns 0 because Type was set to 1 and the interval does not contain any Mondays, except for the start date.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKS

WEEKS wiki page.

## WEEKSINYEAR

Určí počet týždňov v roku pre daný dátum Počet týždňov je určený nasledujúcim spôsobom: týždeň, ktorý je rozložený medzi dva roky, sa pridá k roku, v ktorom sa vyskytuje väčšia časť týždňa.

#### Syntax

WEEKSINYEAR(Dátum)

Dátum je ktorýkoľvek dátum príslušného roku. Parameter dátum musí byť platný podľa miestneho nastavenia LibreOffice.

Following ISO 8601, this function considers Monday to be the first day of the week, and the first week of a year is the one with most days in this year.

#### Example

WEEKSINYEAR(A1) vráti 53 ak A1 obsahuje 1970-02-17, platný dátum pre rok 1970.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKSINYEAR

WEEKSINYEAR wiki page.

## YEARS

Spočíta rozdiel v rokoch medzi dvoma dátumami.

#### Syntax

YEARS(PočiatočnýDátum; KoncovýDátum; Typ)

PočiatočnýDátum je prvý dátum

KoncovýDátum je druhý dátum

Typ určuje typ rozdielu. Možné hodnoty sú 0 (interval) a 1 (v kalendárnych rokoch).

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.YEARS

YEARS wiki page.

## Add-ins through LibreOffice API

Add-ins can also be implemented through the LibreOffice API.

Related Topics

Functions by Category

Please support us!